local config = {}

local defaultConfig = {
  plName = "Player Name",
  plPronoun = "they/them/their",
  plR = 0.8,
  plG = 0.4,
  plB = 0.4,
  gamma = 0.5,
  keyForward = "w",
  keyBack = "s",
  keyLeft = "a",
  keyRight = "d",
  keyChat = "t",
  keyLove = "q",
  keyHate = "e",
  serverIP = "192.168.2.15",
  serverPort = 51312,
  logFile = "../logs/log.txt",
}

local function readConfigFile()
  return dofile( "./cfg.lua" ) or defaultConfig
end

local function dumpConfigFile()
  print( "Saving Settings." )
  local cfg = assert(io.open( "./cfg.lua", "w" ))
  cfg:write( "return {\n " )
  for k, v in pairs( config ) do
    cfg:write( k )
    cfg:write( " = " )
    cfg:write( tostring( v ) )
    cfg:write( ",\n" )
  end
  cfg:write( "}" )
end

return config