local socket = assert( require 'socket' )

local udp = {}
local packet = assert( require 'shared.packet' )

local cxn = assert( socket.udp() )
cxn:settimeout( 0 )

function udp.receive()
  return cxn:receive()
end

function udp.isValid( ip, port )
  local s, e = socket.udp()
  if s then s, e = s:setpeername( ip, port ) end
  if s then return true
  else return nil, e end --temporary socket, gc it, we just want the error
end

function udp.connect( ip, port )
  assert( cxn:setpeername( ip, port ) )
  return udp.send( packet.get( packet.heartbeat{ tick = 0, hash = 1234 } ) )
end

function udp.disconnect( )

end

function udp.send( s )
  print( "udp out:", s )
  return cxn:send( s )
end

return udp